Bug 200445 - [PATCH] Add "remove duplicates" button
Summary: [PATCH] Add "remove duplicates" button
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Playlist (show other bugs)
Version: 2.3-GIT
Platform: openSUSE RPMs Linux
: NOR wishlist (vote)
Target Milestone: 2.3.1
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-07-16 15:08 UTC by Kuba Serafinowski
Modified: 2009-09-30 23:03 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kuba Serafinowski 2009-07-16 15:08:47 UTC
Version:           SVN (using KDE 4.2.96)
Compiler:          gcc 4.4.0 
OS:                Linux
Installed from:    SuSE RPMs

Please add option to remove duplicate entries in playlist, button would fit in the bar above playlist at best I guess.
Comment 1 Bart Cerneels 2009-07-17 10:08:29 UTC
changing component to The Playlist. We could add this functionality to the playlistbrowser as well though.
Comment 2 Kuba Serafinowski 2009-07-18 16:17:16 UTC
(In reply to comment #1)
> changing component to The Playlist. We could add this functionality to the
> playlistbrowser as well though.

Right, it was me who thought in wrong way, that PlaylistBrowser was Playlist :)
Comment 3 John Atkinson 2009-09-06 01:05:36 UTC
I have proposed a patch to add this functionality.

Please look here for further information:
http://gitorious.org/amarok/amarok/merge_requests/1436
Comment 4 Myriam Schweingruber 2009-09-06 14:53:27 UTC
Thanks for the patch, John, but it will have to wait as we are currently in feature freeze for 2.2.
Comment 5 Mark Kretschmann 2009-09-30 14:57:39 UTC
I've merged John Atkinson's patch into git master. Feature will be included in Amarok 2.2.1.

Thanks John :)
Comment 6 Kuba Serafinowski 2009-09-30 15:51:44 UTC
Hi John, there's an issue with your patch:

!. Add n times a song (n>2)
2. Remove duplicates
3. You'll end-up with n-1 given songs instead of 1

If you could try to fix this it would be awesome! I'm sure someone will merge fix with pleasure :-)
Thanks again for this patch!
Comment 7 John Atkinson 2009-09-30 22:11:52 UTC
Oh dear! Yes indeed.
Here's a fixed version:
http://gitorious.org/amarok/amarok/merge_requests/1659

Thanks,
John
Comment 8 Teo Mrnjavac 2009-09-30 23:03:54 UTC
Pushed to master :)
Thanks again John!